<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.sales.mapper.finance.OrderReceivePlanDetailMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.sales.pojo.entity.finance.OrderReceivePlanDetailEntity">
                    <id column="id" property="id" />
                <result column="create_time" property="createTime" />
                <result column="update_time" property="updateTime" />
                <result column="is_delete" property="isDelete" />
                <result column="enabled" property="enabled" />
                <result column="create_by" property="createBy" />
                <result column="owner_by" property="ownerBy" />
                <result column="update_by" property="updateBy" />
                <result column="sort" property="sort" />
                <result column="data_code" property="receivePlanCode" />
                <result column="plan_receive_date" property="planReceiveDate" />
                <result column="actual_receive_date" property="actualReceiveDate" />
                <result column="plan_receive_amount" property="planReceiveAmount" />
                <result column="actual_receive_amount" property="actualReceiveAmount" />
                <result column="order_id" property="orderId" />
                <result column="approve_status" property="approveStatus" />
                <result column="period_num" property="periodNum" />
                <result column="period_total" property="periodTotal" />
                <result column="receive_status" property="receiveStatus" />
                <result column="overdue_day" property="overdueDay" />
                <result column="remark" property="remark" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
                create_time,
                update_time,
                is_delete,
                enabled,
                create_by,
                owner_by,
                update_by,
                sort,
            id, data_code, plan_receive_date, actual_receive_date, plan_receive_amount, actual_receive_amount, order_id, approve_status, period_num, period_total, receive_status, overdue_day, remark
        </sql>

</mapper>
